# xarray.DataArray.drop

`DataArray.``drop`(labels, dim=None)

  Drop coordinates or index labels from this DataArray.

  Parameters:

  labels : scalar or list of scalars

  > Name(s) of coordinate variables or index labels to drop.

  dim : str, optional

  > Dimension along which to drop index labels. By default (if `dim is None`), drops coordinates rather than index labels.

  Returns: | dropped : DataArray